#!/bin/sh

MVN_ARGS="-Dfortify.sca.buildId=vap"
JAVA_HOME7="/c/Apps/Java/latest7"
FORTIFY_VERSION="16.10.1"

mvn clean install $MVN_ARGS

rc=$?

if [ $rc -eq 0 ]; then
  mvn $MVN_ARGS com.hpe.security.fortify.maven.plugin:sca-maven-plugin:$FORTIFY_VERSION:clean

  mvn $MVN_ARGS -Dfortify.sca.source.version=1.7 com.hpe.security.fortify.maven.plugin:sca-maven-plugin:$FORTIFY_VERSION:translate

  mvn $MVN_ARGS -Dfortify.sca.Xmx=8192M com.hpe.security.fortify.maven.plugin:sca-maven-plugin:$FORTIFY_VERSION:scan
fi

exit $rc
