/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.va.nvap.svc.consentmgmt.stub.adapter.announce.data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @author DNS   egberb
 */
public final class AnnouncementBatchSummary implements Serializable {

	private String batchId;

	private Long batchSize;

	private Date createdDate;

	private Long numberCompleted;

	private Long numberScheduled;

	private String targetOrganizationName;
    
    private Long orgId;

	public AnnouncementBatchSummary(final String targetOrganizationName,
			final Long batchSize, final Date createdDate) {
		this.setTargetOrganizationName(targetOrganizationName);
		this.setBatchSize(batchSize);
		this.setCreatedDate(createdDate);
	}

	public AnnouncementBatchSummary(final String batchId,
			final String testOrganizationName, final Long batchSize,
			final Date createdDate, final Long numberScheduled,
			final Long numberCompleted) {
		this(testOrganizationName, batchSize, createdDate);
		this.setBatchId(batchId);
		this.setNumberScheduled(numberScheduled);
		this.setNumberCompleted(numberCompleted);
	}
    
    public AnnouncementBatchSummary(final String batchId,
			final String testOrganizationName, final Long orgId, final Long batchSize,
			final Date createdDate, final Long numberScheduled,
			final Long numberCompleted) {
		this(testOrganizationName, batchSize, createdDate);
		this.setBatchId(batchId);
		this.setNumberScheduled(numberScheduled);
		this.setNumberCompleted(numberCompleted);
        this.setOrgId(orgId);
	}

	public String getBatchId() {
		return this.batchId;
	}

	public Long getBatchSize() {
		return this.batchSize;
	}

	public Date getCreatedDate() {
		return this.createdDate;
	}

	public Long getNumberCompleted() {
		return this.numberCompleted;
	}

	public Long getNumberScheduled() {
		return this.numberScheduled;
	}

	public String getTargetOrganizationName() {
		return this.targetOrganizationName;
	}

	public void setBatchId(final String batchId) {
		this.batchId = batchId;
	}

	public void setBatchSize(final Long batchSize) {
		this.batchSize = batchSize;
	}

	public void setCreatedDate(final Date createdDate) {
		this.createdDate = createdDate;
	}

	public void setNumberCompleted(final Long numberCompleted) {
		this.numberCompleted = numberCompleted;
	}

	public void setNumberScheduled(final Long numberScheduled) {
		this.numberScheduled = numberScheduled;
	}

	public void setTargetOrganizationName(final String targetOrganizationName) {
		this.targetOrganizationName = targetOrganizationName;
	}

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
