﻿<%--
    Document   : Document Disclosure Report
    Created By : David Vasquez / Robert Snelling
    Modified By: Asha Amritraj
--%>
<%-- DEPRECATED --%> 
<%-- 
<<<<<<< HEAD
<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>
=======
<%@page contentType="text/html" pageEncoding="UTF-8"%>
>>>>>>> vape_incr_2
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<f:mainTemplate headerText=" Accounting of Disclosures Report">
    <script language="JavaScript">
        $(document).ready(function () {
            //Printing
            $('#printReport').on('click', function () {
                window.print();
            });

<<<<<<< HEAD
            //tooltips
            $('#ssnHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["ssnColumn"]}"
            }));
            $('#lastNameHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["lastNameColumn"]}"
            }));
            $('#firstNameHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["firstNameColumn"]}"
            }));
            $('#disclosureDateHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["eventOccurredColumn"]}"
            }));
            $('#disclosuresHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["disclosureColumn"]}"
            }));
            $('#facilityHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["disclosureReportFacilityColumn"]}"
            }));
            $('#facilityNumberHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["patientPreferredFacilityStationIdColumn"]}"
            }));
            $('#organizationHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["accountingOfDisclosuresReportOrganization"]}"
            }));
            $('#userIdHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["disclosuresUserIdColumn"]}"
            }));
            $('#pouHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["purposeOfUseColumn"]}"
            }));
            $('#userRoleHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["disclosureDetailedReportUserRoleColumn"]}",
                position: {
                    my: 'center right',
                    at: 'center left'
                }
            }));
            $('#viewHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["genericViewColumn"]}",
                position: {
                    my: 'center right',
                    at: 'center left'
                }
            }));
        });
    </script>

    <%@include file="patientLinkForm.jspf"%>

    <div>
        <input name="exportToExcel" id="exportToExcel" title="Export to Excel" class="button" type="submit" value="Export to Excel" onclick="scheduledExportAlert();" />
        <input name="exportToCsv" id="exportToCsv" title="Export to CSV" class="button" type="submit" value="Export to CSV" onclick="exportAlert();" />
        <input name="printReport" id="printReport" title="Print" class="button" type="button" value="Print" />
    </div>

    <div>
        <table class="ver-minimalist">
            <tbody>
                <tr class="dateFilters">
                    <th scope="row" style="border-bottom: none; float: left; font-size: 0; height: 0;">Filters</th>
                    <td style="float: left;">Patient ID (ICN)</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty documentDisclosureQueryICN}">
                                ${documentDisclosureQueryICN}
                            </c:when>
                            <c:otherwise>
                                ALL
                            </c:otherwise>
                        </c:choose>
                    </td>
                    <td class="datePadding">Start Date</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty documentDisclosureQueryStartDate}">
                                <fmt:formatDate pattern="MM/dd/yyyy" value="${documentDisclosureQueryStartDate}" />
                            </c:when>
                            <c:otherwise>
                                N/A
                            </c:otherwise>
                        </c:choose>
                    </td>
                    <td class="datePadding">End Date</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty documentDisclosureQueryEndDate}">
                                <fmt:formatDate pattern="MM/dd/yyyy" value="${documentDisclosureQueryEndDate}" />
                            </c:when>
                            <c:otherwise>
                                N/A
                            </c:otherwise>
                        </c:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div>
        <c:choose>
            <c:when test="${!empty documentDisclosureResults}">
                <br />
                <pg:paginator paginator="${paginator}" uri="DocumentDisclosureReportResults.do_sec" results="${documentDisclosureResults}" />
                <table width="100%">
                    <thead>
                        <tr class="hor-minimalist-c" style="padding-left: 0;">
                            <th scope ="row" style="border-bottom: none;"><span id="ssnHeader">SSN</span></th>
                            <td style="border-bottom: none;"><span id="lastNameHeader">Patient Last Name</span></td>
                            <td style="border-bottom: none;"><span id="firstNameHeader">Patient First Name</span></td>
                            <td style="border-bottom: none;"><span id="disclosureDateHeader">Date of Disclosures (CT)</span></td>
                            <td style="border-bottom: none;"><span id="disclosuresHeader">Disclosures</span></td>

                            <c:choose>
                                <c:when test="${documentDisclosureSource eq 'exchange'}">
                                    <td style="border-bottom: none;"><span id="facilityHeader">Patient Preferred Facility</span></td>
                                    <td style="border-bottom: none;"><span id="facilityNumberHeader">Patient Preferred Facility Station ID</span></td>
                                    <td style="border-bottom: none;"><span id="organizationHeader">${organizationName} Organization</span></td>
                                </c:when>
                                <c:otherwise>
                                    <td style="border-bottom: none;">Direct Address</td>
                                </c:otherwise>
                            </c:choose>
                            <td style="border-bottom: none;"><span id="userIdHeader">User ID</span></td>

                            <td style="border-bottom: none;"><span id="pouHeader">Purpose of Use</span></td>
                            <c:choose>
                                <c:when test="${documentDisclosureSource eq 'exchange'}">
                                    <td style="border-bottom: none;"><span id="userRoleHeader">User Role</span></td>
                                    <td style="border-bottom: none;" id="view-Column"><span id="viewHeader">View</span></td>
                                </c:when>
                            </c:choose>
                            <td style="border-bottom: none;"></td>
                        </tr>
                        <tr class="hor-minimalist-c">
                            <th scope="row" style="border-bottom: 2px solid #6678b1;"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></th>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" /></a></td>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" /></a></td>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                    <c:choose>
                                        <c:when test="${documentDisclosureSource eq 'exchange'}">
                                    <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                    <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityNumber&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityNumber&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                    <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                        </c:when>
                                        <c:otherwise>
                                    <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                        </c:otherwise>
                                    </c:choose>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                    <c:choose>
                                        <c:when test="${documentDisclosureSource eq 'exchange'}">
                                    <td style="font-size: 0; height: 0;">User Role</td>
                                    <td style="font-size: 0; height: 0;">View</td>
                                </c:when>
                            </c:choose>
                            <td style="border-bottom: none;"></td>
                        </tr>
                    </thead>
                    <tbody id="resultsBlock">
                        <c:set var="countDisplayPatient" value="0" scope="page" />
                        <pg:forEach var="r" items="${documentDisclosureResults}" varStatus="i" paginator="${paginator}">
                            <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&& r.ssnMasked != ''}">
                                <tr class="hor-minimalist-b">
                                    <td nowrap><%@include file="patientLink.jspf"%></td>
                                    <td>${r.lastName}</td>
                                    <td>${r.firstName}</td>
                                    <td><fmt:formatDate pattern="MM/dd/yyyy hh:mm a" value="${r.auditTime}" /></td>
                                    <c:choose>
                                        <c:when test="${!empty r.disclosureTitle}">
                                            <td>${r.disclosureTitle}</td>
                                        </c:when>
                                        <c:otherwise>
                                            <td>Title not available</td>
                                        </c:otherwise>
                                    </c:choose>
                                    <c:choose>
                                        <c:when test="${documentDisclosureSource eq 'exchange'}">
                                            <td>${r.patientFacilityName}</td>
                                            <td>${r.patientFacilityNumber}</td>
                                            <td>${r.organizationName}</td>
                                        </c:when>
                                        <c:otherwise>
                                            <td>${r.organizationName}</td>
                                        </c:otherwise>
                                    </c:choose>
                                    <td>${r.userId}</td>
                                    <td>${r.purposeForUse}</td>
                                    <c:url var="url" value="DocumentDisclosureReportResults.do_sec">
                                        <c:param name="view" value="true" />
                                        <c:param name="icn" value="${r.patientICN}" />
                                        <c:param name="documentUniqueId" value="${r.documentId}" />
                                    </c:url>
                                    <c:choose>
                                        <c:when test="${documentDisclosureSource eq 'exchange'}">
                                            <td>${r.roleName}</td>
                                            <td><a title="View" href="${url}">View</a></td>
                                        </c:when>
                                    </c:choose>
                                </tr>
                                <c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                            </c:if>
                        </pg:forEach>
                        <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                            All records were excluded from this page.
                        </c:if>
                    </tbody>
                </table>
                <pg:paginator paginator="${paginator}" uri="DocumentDisclosureReportResults.do_sec" results="${documentDisclosureResults}" />
            </c:when>
            <c:otherwise>
                No records were found.
            </c:otherwise>
        </c:choose>
    </div>
</f:mainTemplate>
=======
<html lang="en">
<head>
    <title>Veterans Authorization & Preferences Accounting of Disclosures Report</title>
    <%
        String userName = request.getRemoteUser();
    %>      
    <%@include file="metaCommon.jsp"%>
    <script language="JavaScript">
        $(document).ready(function() {
            //Printing
            $('#printReport').on('click', function() {
                window.print();
            });
        });
    </script>
</head>
<body>
    <jsp:include page="header.jsp">
        <jsp:param name="userName" value="<%=userName%>"/>
    </jsp:include>
    <%@include file="patientLinkForm.jsp"%>
	<table border="0" cellpadding="0" cellspacing="0" width="100%"
		summary="table is used for layout purposes" id="main-content-table">
		<tbody>
			<tr>
                <jsp:include page="leftMenu.jsp">
                    <jsp:param name="userName" value="<%=userName%>" />
                </jsp:include>
                <th scope="row" style="float: left; font-size: 0; height: 0;">VA Content</th>
				<td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
					<p class="title-bar" id="title-bar">
						<!-- START: SITE NAME -->
						Accounting of Disclosures Report
						<!-- END: SITE NAME -->
					</p> <cpp:errors /> <!-- END: SITE NAME BAR -->
					<table border="0" cellpadding="0" cellspacing="0" width="100%"
						summary="table is used for layout purposes">
						<tbody>
							<tr>
                                <th scope="row" style="float: left; font-size: 0; height: 0;">Main Content</th>
								<td id="content-main">
									<!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->
									<table SUMMARY="This table is for formatting purposes only.">
										<tbody>
											<tr style="padding-left: 0;">
                                                <th scope="row" style="float: left; font-size: 0; height: 0;">Button Row</th>
                                                <td>
                                                    <table class="ver-minimalist">
                                                        <tbody>
                                                            <th scope="row" style="border-bottom: none; float: right; font-size: 0; height: 0;">Button Row</th>
                                                                <td style="float: left;">
                                                                    <form>
                                                                        <input name="exportToExcel" id="exportToExcel" alt="Export to Excel" class="button" type="submit"
                                                                            value="Export to Excel" onclick="exportAlert();" />
                                                                        <input name="exportToCsv" id="exportToCsv" alt="Export to CSV"
                                                                            class="button" type="submit" value="Export to CSV" onclick="exportAlert();" />
                                                                        <input name="printReport" id="printReport" alt="Print"
                                                                            class="button" type="button" value="Print" />
                                                                    </form>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </td>
                                                                <tr class="dateFilters">
                                                                    <th scope="row" style="border-bottom: none; float: left; font-size: 0; height: 0;">Filters</th>
                                                                    <td style="float: left;">Patient ID (ICN)</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty documentDisclosureQueryICN}">
                                                                                <c:out value="${documentDisclosureQueryICN}"/>
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                ALL
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td class="datePadding">Start Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when
                                                                                    test="${!empty documentDisclosureQueryStartDate}">
                                                                                    <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                            value="${documentDisclosureQueryStartDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td class="datePadding">End Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when
                                                                                    test="${!empty documentDisclosureQueryEndDate}">
                                                                                    <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                            value="${documentDisclosureQueryEndDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                </tr>
                                                        </tbody>
                                                    </table>
                                                </td>
											</tr>
											<tr>
                                                <th scope="row" style="float: left; font-size: 0; height: 0;">Page Buttons</th>
												<td><c:choose>
														<c:when test="${!empty documentDisclosureResults}">
															<br />
                                                            <pg:paginator paginator="${paginator}"
                                                                uri="DocumentDisclosureReportResults.do_sec"
                                                                results="${documentDisclosureResults}" />
                                                            <table width="100%">
																<thead>
																	<tr class="hor-minimalist-c" style="padding-left: 0;">
                                                                        <th scope ="row"style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['ssnColumn']}"/>">SSN</span></th>
																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['lastNameColumn']}"/>">Patient Last Name</span></td>
																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['firstNameColumn']}"/>">Patient First Name</span></td>
																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['eventOccurredColumn']}"/>">Date of Disclosures (CT)</span></td>
																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['disclosureColumn']}"/>">Disclosures</span></td>

																		<c:choose>
                                                                            <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                <td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['disclosureReportFacilityColumn']}"/>">Patient Preferred Facility</span></td>
                                                                                <td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['patientPreferredFacilityStationIdColumn']}"/>">Patient Preferred Facility Station ID</span></td>
                                                                                <td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['accountingOfDisclosuresReportOrganization']}"/>"><c:out value="${organizationName}"/> Organization</span></td>
                                                                                <!--<th scope="col">Assigning Authority</th>-->
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                <td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['']}"/>">Direct Address</span></td>
                                                                            </c:otherwise>
                                                                        </c:choose>
																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['disclosuresUserIdColumn']}"/>">User ID</span></td>

																		<td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['purposeOfUseColumn']}"/>">Purpose of Use</span></td>
                                                                        <c:choose>
                                                                            <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                <td style="border-bottom: none;"><span data-tooltip="<c:out value="${descriptors['disclosureDetailedReportUserRoleColumn']}"/>" data-tooltip-position="left">User Role</span></td>
                                                                                <td style="border-bottom: none;" id="view-Column"><span data-tooltip="<c:out value="${descriptors['genericViewColumn']}"/>" data-tooltip-position="left">View</span></td>
                                                                            </c:when>
                                                                        </c:choose>
                                                                        <td style="border-bottom: none;"></td>
																	</tr>
																	<tr class="hor-minimalist-c">
																		<th scope="row" style="border-bottom: 2px solid #6678b1;"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientSSN&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></th>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientLastName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" border="0"/></a></td>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientGivenName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0" border="0"/></a></td>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=auditTime&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=documentTitle&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<c:choose>
                                                                            <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityNumber&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=patientFacilityNumber&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                <!--<td scope="col"><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationId&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationId&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>-->
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                <td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=organizationName&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                            </c:otherwise>
                                                                        </c:choose>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=userId&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
																		<td><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="DocumentDisclosureReportResults.do_sec?documentDisclosureSortValue=purposeForUse&documentDisclosureSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        <c:choose>
                                                                            <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                <td style="font-size: 0; height: 0;">User Role</td>
                                                                                <td style="font-size: 0; height: 0;">View</td>
                                                                            </c:when>
                                                                        </c:choose>
                                                                        <td style="border-bottom: none;"></td>
																	</tr>
																</thead>
																<tbody id="resultsBlock">
																	<c:set var="countDisplayPatient" value="0" scope="page" />
																	<pg:forEach var="r"
																		items="${documentDisclosureResults}" varStatus="i"
																		paginator="${paginator}">
                                                                        <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&& r.ssnMasked != ''}">
                                                                            <tr class="hor-minimalist-b">
                                                                                <td nowrap><cpp:patientLink ssn="${r.ssn}" firstName="${r.firstName}" lastName="${r.lastName}" ssnMasked="${r.ssnMasked}"/></td>
                                                                                <td><c:out value="${r.lastName}"/></td>
                                                                                <td><c:out value="${r.firstName}"/></td>
                                                                                <td><fmt:formatDate pattern="MM/dd/yyyy hh:mm a"
                                                                                        value="${r.auditTime}" />
                                                                                </td>
                                                                                <c:choose>
                                                                                    <c:when test="${!empty r.disclosureTitle}">
                                                                                        <td><c:out value="${r.disclosureTitle}"/></td>
                                                                                    </c:when>
                                                                                    <c:otherwise>
                                                                                        <td>Title not available</td>
                                                                                    </c:otherwise>
                                                                                </c:choose>
                                                                                <c:choose>
                                                                                    <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                        <td><c:out value="${r.patientFacilityName}"/></td>
                                                                                        <td><c:out value="${r.patientFacilityNumber}"/></td>
                                                                                        <td><c:out value="${r.organizationName}"/></td>
                                                                                    </c:when>
                                                                                    <c:otherwise>
                                                                                        <td><c:out value="${r.organizationName}"/></td>
                                                                                    </c:otherwise>
                                                                                </c:choose>
                                                                                <td><c:out value="${r.userId}"/></td>
                                                                                <td><c:out value="${r.purposeForUse}"/></td>
                                                                                <c:url var="url" value="DocumentDisclosureReportResults.do_sec">
                                                                                    <c:param name="view" value="true" />
                                                                                    <c:param name="icn" value="${r.patientICN}" />
                                                                                    <c:param name="documentUniqueId"
                                                                                        value="${r.documentId}" />
                                                                                </c:url>
                                                                            <c:choose>
                                                                                <c:when test="${documentDisclosureSource eq 'exchange'}">
                                                                                    <td><c:out value="${r.roleName}"/></td>
                                                                                    <td><a alt="View" href="<c:out value="${url}"/>">View</a></td>
                                                                                </c:when>
                                                                            </c:choose>
                                                                            </tr>
                                                                            <c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                                                                        </c:if>
																	</pg:forEach>
                                                                    <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                                                                        All records were excluded from this page.
                                                                    </c:if>
																</tbody>
															</table>
															<pg:paginator paginator="${paginator}"
																uri="DocumentDisclosureReportResults.do_sec"
																results="${documentDisclosureResults}" />
														</c:when>
														<c:otherwise>
                                                            No records were found.
                                                        </c:otherwise>
													</c:choose>
												</td>
											</tr>
										</tbody>
									</table> <!-- THE BODY CONTENT END -->
								</td>
							</tr>
						</tbody>
					</table> <!-- START: PAGE FOOTER --> <%@include file="footer.jsp"%>
					<!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT -->
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
>>>>>>> vape_incr_2
--%>