<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<%
    String userName = request.getRemoteUser();
%>  

<f:mainTemplate headerText="Document View" userName="<%=userName%>">
    <link rel="stylesheet" type="text/css" href="css/xmlverbatim.css" />
    <link rel="stylesheet" type="text/css" href="css/cda.css" />
    <link rel="stylesheet" type="text/css" href="css/adapter.css" />
    <link rel="stylesheet" type="text/css" href="css/custom_cda.css" />

    <div class="pull-right">
        <a title="Back to report results" class="vap-hand-hover" onClick="history.go(-1);">Back to Report Results</a>
    </div>
    <div class="clearfix"></div>
    <div>
        <cpp:userInRole role="VAPApplicationTester">
            <c:if test="${isXmlViewEnabled}">
                <c:url var="adapterStyleSheet" value="InboundDocumentReportResults.do_sec">
                    <c:param name="view" value="true" />
                    <c:param name="icn" value="${icn}" />
                    <c:param name="documentUniqueId" value="${documentUniqueId}" />
                </c:url> 
                <c:url var="xmlToHtmlStyleSheet" value="InboundDocumentReportResults.do_sec">
                    <c:param name="view" value="true" />
                    <c:param name="icn" value="${icn}" />
                    <c:param name="documentUniqueId" value="${documentUniqueId}" />
                    <c:param name="styleSheetViewType" value="xml" />
                </c:url>
                <a title="View Document" href="<c:out value="${adapterStyleSheet}"/>">
                    <img alt="View Document" src="res/xsl.jpg" border="0" />
                </a>
                <a title="View XML" href="<c:out value="${xmlToHtmlStyleSheet}"/>">
                    <img alt="View XML" src="res/xmlicon.gif" border="0" />
                </a>
            </c:if>
        </cpp:userInRole>
        <a title="Print Document" href="javascript:window.print()" class="font-28">
            <i class="fa fa-print" aria-hidden="true"></i>
        </a>
    </div>
    <div>
        <!-- document content -->
        <c:out value="${updatedDocument}" escapeXml="false" />
    </div>
</f:mainTemplate>