<%--
The left menu. Removed mutiple ul's to avoid javascript on menus.
Author: Asha Amritraj
--%>
<%@ page pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<!-- START: LEFT NAVIGATION -->
<div align="center">
    <br>
    <a href="PatientSearch.do_sec">
        <img src="res/vap-logo.jpg" alt="Veterans Authorization & Preferences Home Page" style="border: 0px; width:122px; height:90px;"/>
    </a>
    <br>
</div>
<div align="center">
    <br>
    <br>
</div>
<ul id="nav" style="text-align: left; font-weight: normal;">
    <c:if test="${!empty param.userName}">
        <cpp:userInRole role="VAPApplicationWebUser">
            <li><a title="Patient search" href="PatientSearch.do_sec" class="parent2">Patient Search</a></li>
        </cpp:userInRole>
        <cpp:userInRole role="VAPApplicationWebAdministrator">
            <li><a title="Admin" href="#" class="parent2">Admin</a></li>
            <li><a title="Batch Announce Patients" href="BatchAnnounce.do_sec" class="child1">Batch Announce Patients</a></li>
            <li><a title="Manage Batches" href="BatchManagerQuery.do_sec" class="child1">Manage Batches</a></li>
            <li><a title="Service Audit" href="ServiceAuditReport.do_sec" class="child1">Service Audit</a></li>
            <li><a title="Partner Organizations" href="OrganizationHandler.do_sec" class="child1">Partner Organizations</a></li>
        </cpp:userInRole>
        <cpp:userInRole role="VAPApplicationReportsUser">
            <li><a title="Summary Reports" href="#" class="parent2">Summary Reports</a>
            <li><a title="Disclosures Summary Report" href="DisclosureSummaryReport.do_sec" class="child1">Disclosures</a>
            <li><a title="Received ${organizationName} Documents Summary Report" href="ReceivedNwHINDocumentSummaryReport.do_sec" class="child1"> Received ${organizationName} Documents</a>
            <li><a title="Consent Directive Summary Report" href="OptInOptOutSummaryReport.do_sec" class="child1">Consent Directive</a>
            <li><a title="Opt-In Patients Summary Report" href="OptInSummaryReport.do_sec" class="child1">Opt-In Patients</a></li>
            <li><a title="Delayed Consent Summary Report" href="DelayedConsentSummaryReport.do_sec" class="child1">Delayed Consent</a></li>
            <li><a title="Patient Discovery Audit Summary Report" href="PatientDiscoverySummaryReport.do_sec" class="child1">Patient Discovery Audit</a></li>
        </cpp:userInRole>
         <cpp:userInRole role="VAPApplicationWebAdministrator">
            <li><a title="Monthly Received Documents Report" href="MonthlyReceivedDocumentsReport.do_sec" class="child1">Monthly Received Documents</a></li>
        </cpp:userInRole>    
        <cpp:userInRole role="VAPApplicationReportsUser">
            <li><a title="Detailed Reports" href="#" class="parent2">Detailed Reports</a>
            <li><a title="Disclosures Report" href="DocumentDisclosureReport.do_sec" class="child1">Disclosures</a>
            <li><a title="Received ${organizationName} Documents Report" href="InboundDocumentReport.do_sec" class="child1">Received ${organizationName} Documents</a>
            <li><a title="Consent Directive Report" href="OptInOptOutReport.do_sec" class="child1">Consent Directive</a>
            <li><a title="Opt-In Patients Report" href="OptInReport.do_sec" class="child1">Opt-In Patients</a></li>
            <li><a title="Expiring Consent Report" href="ExpiringConsentReport.do_sec" class="child1">Expiring Consent</a></li>
            <li><a title="Delayed Consent Report" href="DelayedConsentReport.do_sec" class="child1">Delayed Consent</a></li>
            <li><a title="Patient Discovery Audit Report" href="PatientDiscoveryReport.do_sec" class="child1">Patient Discovery Audit</a>
            <li><a title="Scheduled Exports" href="ScheduledExports.do_sec" class="child1">Scheduled Exports</a>
        </cpp:userInRole>
        <li><a title="User Guide" href="http://DNS   www3/warboard/ProjectDocs/Veteran_Authorization_and_Preferences_(VAP)_Enhancements/VAPE_User_Guide.pdf" class="parent2" target="_blank">User Guide</a></li>
        <li><a title="Expiring Consent Notification" href="ExpiringConsentNotification.do_sec" class="parent2">Expiring Consent Notification</a></li>
        <li><a title="Set Default Facility" href="SetDefaultFacility.do_sec" class="parent2">Set Default Facility</a></li>
        <li><a title="About VAP" href="About.do_sec" class="parent2">About VAP</a></li>
        <li><a title="Logout" href="Logout.do_sec" class="parent2" onclick="alert('After you logout, please close all browser windows to ensure cached information is removed.');">Logout</a></li>
    </c:if>
</ul>
