<%--
    Document   : Patient View C32 View
    Created By : David Vasquez / Robert Snelling
    Modified By: Asha Amritraj
--%>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>
<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>

<%
    String userName = request.getRemoteUser();
%> 

<f:mainTemplate headerText="Patient Health Summary" userName="<%=userName%>">
    <link rel="stylesheet" type="text/css" href="css/xmlverbatim.css" />
    <link rel="stylesheet" type="text/css" href="css/cda.css" />
    <link rel="stylesheet" type="text/css" href="css/adapter.css" />
    <link rel="stylesheet" type="text/css" href="css/custom_cda.css" />

    <div> 
        <div id="slidetabsmenu" class="pull-left">
            <ul>
                <li>
                    <a href="PatientDetails.do_sec" title="Patient Summary"><span>Patient Summary</span></a>
                </li>
                <li id="current">
                    <a href="PatientDetails.do_sec?view=true" title="View Health Summary (C32)"><span>Health Summary (C32)</span> </a>
                </li>
            </ul>
	</div>
        <div class="pull-right">
            <a style="float: right;background-color: white;" title="Back to Patient Details Page" onclick="history.go(-1)">Back to Patient Details Page</a>
        </div>
        <div class="clearfix"></div>
    </div>
    <div>
        <cpp:userInRole role="VAPApplicationTester">
            <c:if test="${isXmlViewEnabled}">
                <a title="View Document" href="PatientDetails.do_sec?view=true"><img src="res/xsl.jpg" alt="View Document" border="0" /></a>
                <a title="View XML" href="PatientDetails.do_sec?view=true&styleSheetViewType=xml"><img src="res/xmlicon.gif" alt="View XML" border="0" /></a>
            </c:if>
        </cpp:userInRole>
        <a title="Print Document" href="javascript:window.print()" class="font-28"><i class="fa fa-print" aria-hidden="true"></i></a>
    </div>
    <div>
        <!-- document goes here -->
        <c:out value="${updatedDocument}" escapeXml="false"/>
    </div>
</f:mainTemplate>