<%--
    Deprecated as of VAP 2.6.0
    Document   : Received eHealth Exchange Document Summary Report
--%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg"%>

<%
    String userName = request.getRemoteUser();
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <%@include file="metaCommon.jsp" %>
        <script>
            $(document).ready(function () {
                
            });
        </script>
        <title>Veterans Authorization & Preferences Received <c:out value="${organizationName}" /> Document Summary Report Results</title>
        </head>
<body>
<jsp:include page="header.jsp">
    <jsp:param name="userName" value="<%=userName%>" />
</jsp:include>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
            <jsp:include page="leftMenu.jsp">
                <jsp:param name="userName" value="<%=userName%>" />
            </jsp:include>
            <th scope="row" style="float: left; font-size: 0; height: 0;">VA Content</th>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Received <c:out value="${organizationName}" /> Documents Summary Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <th scope="row" style="float: left; font-size: 0; height: 0;">Main Content</th>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
                                      <th scope="row" style="float: left; font-size: 0; height: 0;">Page Content</th>
	    		                      <td style="float: left;">
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <th scope="row" style="float: left; font-size: 0; height: 0;">Results Content</th>
                                                    <td style="float: left;">
                                                        <form style="float: left;">
                                                            <input name="exportToExcel" alt="Export to Excel" class="button" type="submit" value="Export to Excel" />
                                                        </form>                                                        
                                                        <table class="ver-minimalist">
                                                            <tbody>
                                                                <tr class="dateFilters">
                                                                    <th scope="row" style="border-bottom: none; float: left; font-size: 0; height: 0;">Filters</th>
                                                                    <td class="datePadding">Start Date</th>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty receivedNwHINDocumentSummaryQueryStartDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${receivedNwHINDocumentSummaryQueryStartDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td class="datePadding">End Date</td>
                                                                    <td><c:choose>
                                                                            <c:when test="${!empty receivedNwHINDocumentSummaryQueryEndDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy"
                                                                                    value="${receivedNwHINDocumentSummaryQueryEndDate}" />
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                    N/A
                                                                                </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                        <c:choose>
                                                            <c:when test="${!empty receivedNwHINDocumentSummaryResults}">
                                                                <br/>
                                                                <table>
                                                                    <thead>
                                                                        <tr class="hor-minimalist-c">
                                                                            <th scope="col"><span id="organizationHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsSummaryReportOrganizationColumn']}" />"><c:out value="${organizationName}" /> Organization</span></th>
                                                                            <th scope="col"><span id="facilityHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsSummaryReportVAFacilityColumn']}" />">Patient Preferred Facility</span></th>
                                                                            <th scope="col"><span id="facilityNumberHeader" data-tooltip="<c:out value="${descriptors['patientPreferredFacilityStationIdColumn']}" />">Patient Preferred Facility Station ID</span></th>
                                                                            <th scope="col"><span id="totalHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsSummaryReportTotalColumn']}" />" data-tooltip-position="left">Total</span></th>
                                                                        </tr>
                                                                        <tr class="hor-minimalist-c">
                                                                        	<td><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=partnerOrg&receivedNwhinDocumentsSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=partnerOrg&receivedNwhinDocumentsSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=vaFacility&receivedNwhinDocumentsSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=vaFacility&receivedNwhinDocumentsSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=vaFacilityNumber&receivedNwhinDocumentsSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=vaFacilityNumber&receivedNwhinDocumentsSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                <td><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=total&receivedNwhinDocumentsSummaryReportSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="ReceivedNwHINDocumentSummaryReportResults.do_sec?receivedNwhinDocumentsSummaryReportSortValue=total&receivedNwhinDocumentsSummaryReportSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                        <pg:forEach var="r" items="${receivedNwHINDocumentSummaryResults}" varStatus="i"
                                                                            paginator="${paginator}">
                                                                            <tr class="hor-minimalist-b">
                                                                                <td><c:out value="${r.partnerOrg}" /></td>
                                                                                <td><c:out value="${r.vaFacility}" /></td>
                                                                                <td><c:out value="${r.vaFacilityNumber}" /></td>
                                                                                <td><c:out value="${r.total}" /></td>
                                                                            </tr>
                                                                        </pg:forEach>
                                                                    </tbody>
                                                                </table>
                                                            </c:when>
                                                            <c:otherwise>
                                                                    No records were found.
                                                                </c:otherwise>
                                                        </c:choose>
                                                        <table>
                                                        <c:if test="${!empty receivedNwHINDocumentSummaryTotalCount && !empty receivedNwHINDocumentSummaryResults}">
                                                                    <tr>
                                                                        <td>
                                                                            <b>Grand Total:</b>
                                                                        </td>
                                                                        <td>
                                                                            <c:out value="${receivedNwHINDocumentSummaryTotalCount}" />
                                                                        </td>
                                                                    </tr>
                                                            </c:if>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jsp" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>