REM MVN_ARGS="-Dfortify.sca.buildId=vap"
ECHO Setting MVN_ARGS
SET MVN_ARGS=-Dfortify.sca.buildId^=vap
SET FORTIFY_VERSION=16.10.1

ECHO *****************************Beginning initial clean...*****************************
call mvn clean install %MVN_ARGS%
ECHO *****************************Initial clean complete*****************************

ECHO *****************************Beginning Fortify clean...*****************************
call mvn %MVN_ARGS% com.hpe.security.fortify.maven.plugin:sca-maven-plugin:%FORTIFY_VERSION%:clean
ECHO *****************************Fortify clean complete*****************************

ECHO *****************************Beginning Fortify translate...*****************************
call mvn %MVN_ARGS% -Dfortify.sca.source.version=1.7 com.hpe.security.fortify.maven.plugin:sca-maven-plugin:%FORTIFY_VERSION%:translate
ECHO *****************************Fortify translate complete*****************************

ECHO *****************************Beginning Fortify scan...*****************************
call mvn %MVN_ARGS% -Dfortify.sca.Xmx=8192M com.hpe.security.fortify.maven.plugin:sca-maven-plugin:%FORTIFY_VERSION%:scan
ECHO *****************************Fortify scan complete*****************************
