<%@tag description="Simple Wrapper Tag" pageEncoding="UTF-8"%>
<%@attribute name="headerText" required="true"%>
<%@attribute name="userName" required="true"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <title>Veterans Authorizations and Preferences</title>
        <jsp:include page="/WEB-INF/web/metaCommon.jsp" />
    </head>
    <body>
        <div id="container">
            <h1>
                <jsp:include page="/WEB-INF/web/header.jsp">
                    <jsp:param name="userName" value="<%=userName%>" />
                </jsp:include>
            </h1>
            <div id="left">
                <jsp:include page="/WEB-INF/web/leftMenu.jsp">
                    <jsp:param name="userName" value="<%=userName%>" />
                </jsp:include>
            </div>
            <div id="right">
                <div class="title-bar" style="text-align: left;">${headerText}</div>
                <div class="pad-left-20 pad-top-20 pad-right-10 pad-bottom-20">
                    <jsp:doBody/>
                </div>
                <div class="bottom-solid-black-border">
                    <jsp:include page="/WEB-INF/web/footer.jsp" />
                </div>
            </div>
        </div>
        <!-- common modal content -->
        <div id="export-alert" style="display: none;" title="Export Notice">
            <p>
                The information that you are about to download is for official use only and is considered protected health information and must be appropriately protected using encryption per VA policy.
            </p>
        </div>
        <div id="scheduled-export-alert" style="display: none;" title="Export Notice">
            <p>
                The information that you are about to download is for official use only and is considered protected health information and must be appropriately protected using encryption per VA policy.
            </p>
            <p>
                Click the Export button below to generate the Excel export. This will appear on the Scheduled Exports page when completed.
            </p>
        </div>
        <div id="scheduled-csv-export-alert" style="display: none;" title="Export Notice">
            <p>
                The information that you are about to download is for official use only and is considered protected health information and must be appropriately protected using encryption per VA policy.
            </p>
            <p>
                Click the Export button below to generate the CSV export. This will appear on the Scheduled Exports page when completed.
            </p>
        </div>
    </body>
</html>