<%-- 
    Document   : add
    Created on : Mar 17, 2016, 6:25:38 AM
    Author     : Johann Sonnenberg
    NOTE       : DEPRECATED AS OF VAP-328
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <title>Veterans Authorizations and Preferences Admin</title>
        <%@include file="../../metaCommon.jsp" %>
        <%@include file="../../reportCommon.jsp" %>
        <script language="JavaScript">
            $(document).ready(function() {
                $('.orgOptions').on('change', function(event) {
                    var link = $(this); // link that triggered the modal
                    var key = link.data('org-option'); // extract info from data-* attributes
                    
                    if(key === 'trustedSource') 
                    {
                        if($(this).is(':checked')) //if it changes and IS checked show it
                        {
                            $('#trustedSourceWarning').show();
                        } else {
                            $('#trustedSourceWarning').hide();
                        }
                    }
                    
                    if(key === 'consumerOnly') //if it changes and IS checked show it
                    {
                        if($(this).is(':checked'))
                        {
                            $('#consumerOnlyWarning').show();
                        } else {
                            $('#consumerOnlyWarning').hide();
                        }
                    }
                });
            });
        </script>
    </head>

    <body>
        <%
          String userName = request.getRemoteUser();
        %>
        <jsp:include page="../../header.jsp">
            <jsp:param name="userName" value="<%=userName%>" />
        </jsp:include>
        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
            <tbody>
                <tr>
                    <jsp:include page="../../leftMenu.jsp">
                        <jsp:param name="userName" value="<%=userName%>" />
                    </jsp:include>
                    <td id="content-va"><a name="content-area"></a>
                        <p class="title-bar"><!-- START: SITE NAME -->Partner Organizations<!-- END: SITE NAME --></p>
                        <cpp:errors />
                        <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                            <tbody>
                                <tr>
                                    <td id="content-main">
                                        <table width="100%" summary="This table is used for layout purposes">
                                            <tr>
                                                <td>
                                                    <div class="form-container">
                                                        <form name="frmAddOrganization" id="frmAddOrganization" action="OrganizationHandler.do_sec?addComplete=true" method="post">
                                                            <fieldset>
                                                                <legend>Add Partner Organization</legend>
                                                                <div id="errorMessage" class="errors" style="display: none;"></div>
                                                                <div>
                                                                    <label for="orgName" class="width-120">Name</label>
                                                                    <input type="text" name="orgName" id="orgName" maxlength="255" required /> <i class="fa fa-asterisk vap-required"></i>
                                                                </div>
                                                                <div>
                                                                    <label for="orgPhone" class="width-120">Phone</label>
                                                                    <input type="text" name="orgPhone" id="orgPhone" maxlength="255" />
                                                                </div>
                                                                <div>
                                                                    <label for="orgPrefix" class="width-120">Prefix</label>
                                                                    <input type="text" name="orgPrefix" id="orgPrefix" maxlength="255" required /> <i class="fa fa-asterisk vap-required"></i>
                                                                </div>
                                                                <div>
                                                                    <label for="orgContact" class="width-120">Contact</label>
                                                                    <input type="text" name="orgContact" id="orgContact" maxlength="255" />
                                                                </div>
                                                                <div>
                                                                    <label for="orgDomain" class="width-120">Domain</label>
                                                                    <input type="text" name="orgDomain" id="orgDomain" maxlength="255" required /> <i class="fa fa-asterisk vap-required"></i>
                                                                </div>
                                                                <div>
                                                                    <label for="orgNumber" class="width-120">Number</label>
                                                                    <input type="text" name="orgNumber" id="orgNumber" maxlength="255" required /> <i class="fa fa-asterisk vap-required"></i>
                                                                </div>
                                                                <div>
                                                                    <label for="orgOid" class="width-120">Organization ID</label>
                                                                    <input type="text" name="orgOid" id="orgOid" maxlength="255" required /> <i class="fa fa-asterisk vap-required"></i>
                                                                </div>
                                                                <div class="no-padding">
                                                                    <div class="width-140 pull-left"></div>
                                                                    <div class="pull-left"><input type="checkbox" name="isTrustedClinicalSource" id="isTrustedClinicalSource" value="Y" class="orgOptions" data-org-option="trustedSource" /></div>
                                                                    <div class="pull-left"><label class="text-left" for="isTrustedClinicalSource">Trusted Clinical Source</label></div>
                                                                    <div class="pull-left bg-warning" style="display: none;" id="trustedSourceWarning">WARNING: Clinical data submitted from this partner will be input into VistA without a clinician's review.</div> <!-- if checked show this -->
                                                                    <div class="clearfix"></div>
                                                                </div>
                                                                <div class="no-padding">
                                                                    <div class="width-140 pull-left"></div>
                                                                    <div class="pull-left"><input type="checkbox" name="orgConsumerOnly" id="orgConsumerOnly" value="Y" class="orgOptions" data-org-option="consumerOnly" /></div>
                                                                    <div class="pull-left"><label class="text-left" for="orgConsumerOnly">Consumer Only</label></div>
                                                                    <div class="pull-left bg-warning" style="display: none;" id="consumerOnlyWarning">WARNING: This partner will not be able to submit clinical documents to VA systems.</div> <!-- if checked show this -->
                                                                    <div class="clearfix"></div>
                                                                </div>
                                                            </fieldset>
                                                            <div>
                                                                <input name="btnSave" id="btnSearch" alt="Save" class="button" type="submit" value="Save" />&nbsp;&nbsp;
                                                                <button type="button" onclick="location.href='OrganizationHandler.do_sec?list=true';">Cancel</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <%@include file="../../footer.jsp" %>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>