<%--
    Document   : debug setting change page
    Created on : 07/18/2016
    Author     : Johann Sonnenberg
--%>

<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String userName = request.getRemoteUser();
%>

<f:mainTemplate headerText="Global Error Handling Debugging Changed" userName="<%=userName%>">
    <script language="JavaScript">
        $(document).ready(function () {

        });
    </script>

    <div class="well bg-warning">
        <c:choose>
            <c:when test="${debug}">
                <p>Debug has been set to TRUE. This means you will see the stack trace of an error. This is only for your session.</p>
                <p>If you log out, you will need to turn this on again should you require it in your next session.</p>
            </c:when>
            <c:otherwise>
                <p>Debug has been set to FALSE. This means you will not see the stack trace of an error, you will see the friendly error message.</p>
                <p>This is what the default global error handling is set to.</p>
            </c:otherwise>
        </c:choose>
    </div>
</f:mainTemplate>