﻿<%--
    Document   : Inbound Document Report
    Created By : David Vasquez / Robert Snelling
    Modified By: Asha Amritraj
--%>
<%-- DEPRECATED --%>
<%--
<<<<<<< HEAD
<%@taglib tagdir="/WEB-INF/tags/formatting" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg" %>

<f:mainTemplate headerText="Received ${organizationName} Documents Report">
    <script language="JavaScript">
        $(document).ready(function () {
            //tooltips
            $('#ssnHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["ssnColumn"]}"
            }));
            $('#lastNameHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["lastNameColumn"]}"
            }));
            $('#firstNameHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["firstNameColumn"]}"
            }));
            $('#dateReceivedHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["eventOccurredColumn"]}"
            }));
            $('#documentTitleHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["documentTitleColumn"]}"
            }));
            $('#facilityHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["receivedEHealthExchangeDocumentsReportFacilityWithDefaultField"]}"
            }));
            $('#facilityNumberHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["patientPreferredFacilityStationIdColumn"]}"
            }));
            $('#organizationHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["receivedEHealthExchangeDocumentsReportOrganizationColumn"]}"
            }));
            $('#userIdHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["receivedEHealthExchangeDocumentsReportUserIdColumn"]}"
            }));
            $('#pouHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["purposeOfUseColumn"]}"
            }));
            $('#userRoleHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["receivedEHealthExchangeDocumentsReportUserRoleColumn"]}",
                position: {
                    my: 'center right',
                    at: 'center left'
                }
            }));
            $('#viewHeader').qtip($.extend(tipOptions, {
                content: "${descriptors["genericViewColumn"]}",
                position: {
                    my: 'center right',
                    at: 'center left'
                }
            }));
        });
    </script>

    <%@include file="patientLinkForm.jspf"%>

    <div>
        <form>
            <input name="exportToExcel" title="Export to Excel" class="button" type="submit" value="Export to Excel" onclick="scheduledExportAlert();"/>
            <input name="exportToCsv" title="Export to CSV" class="button" type="submit" value="Export to CSV" onclick="exportAlert();"/>
        </form>
    </div>

    <div>
        <table class="ver-minimalist">
            <tbody>
                <tr class="dateFilters">
                    <th scope="row" style="border-bottom: none; float: left; font-size: 0; height: 0;">Filters</th>
                    <td style="float: left;">Patient ID (ICN)</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty inboundDocumentQueryICN}">
                                ${inboundDocumentQueryICN}
                            </c:when>
                            <c:otherwise>
                                ALL
                            </c:otherwise>
                        </c:choose>
                    </td>
                    <td class="datePadding">Start Date</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty inboundDocumentQueryStartDate}">
                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryStartDate}" />
                            </c:when>
                            <c:otherwise>
                                N/A
                            </c:otherwise>
                        </c:choose>
                    </td>
                    <td class="datePadding">End Date</td>
                    <td>
                        <c:choose>
                            <c:when test="${!empty inboundDocumentQueryEndDate}">
                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryEndDate}" />
                            </c:when>
                            <c:otherwise>
                                N/A
                            </c:otherwise>
                        </c:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div>
        <c:choose>
            <c:when test="${!empty inboundDocumentResults}">
                <br/>
                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
                <table width="100%">
                    <thead>
                        <tr class="hor-minimalist-c">
                            <th scope="col"><span id="ssnHeader">SSN</span></th>
                            <th scope="col"><span id="lastNameHeader">Patient Last Name</span></th>
                            <th scope="col"><span id="firstNameHeader">Patient First Name</span></th>
                            <th scope="col"><span id="dateReceivedHeader">Date Received (CT)</span></th>
                            <th scope="col"><span id="documentTitleHeader">Document Title</span></th>
                            <th scope="col"><span id="facilityHeader">Patient Preferred Facility</span></th>
                            <th scope="col"><span id="facilityNumberHeader">Patient Preferred Facility Station ID</span></th>
                            <th scope="col"><span id="organizationHeader">${organizationName} Organization</span></th>
                            <th scope="col"><span id="userIdHeader">User ID</span></th>
                            <th scope="col"><span id="pouHeader">Purpose of Use</span></th>
                            <th scope="col"><span id="userRoleHeader">User Role</span></th>
                            <th scope="col"><span id="viewHeader">View</span></th>
                        </tr>
                        <tr class="hor-minimalist-c">
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityNumber&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityNumber&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                            <td><a> </a></td>
                            <td><a> </a></td>
=======
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>
<%@taglib tagdir="/WEB-INF/tags/paginator" prefix="pg" %>

<%
    String userName = request.getRemoteUser();
%>  

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
        <head>
        <%@include file="metaCommon.jsp" %>
        <title>Veterans Authorization & Preferences Received ${organizationName} Documents Report Results</title>
        </head>
<body>
<jsp:include page="header.jsp">
    <jsp:param name="userName" value="<%=userName%>" />
</jsp:include>
<%@include file="patientLinkForm.jsp"%>
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
    	<tr>
			<jsp:include page="leftMenu.jsp">
                <jsp:param name="userName" value="<%=userName%>" />
            </jsp:include>
            <th scope="row" style="float: left; font-size: 0; height: 0;">VA Content</th>
            <td id="content-va">
                <a name="content-area"></a>
                <!-- START: SITE NAME BAR -->
                <p class="title-bar"><!-- START: SITE NAME -->Received ${organizationName} Documents Report<!-- END: SITE NAME --></p>
                <cpp:errors />
                <!-- END: SITE NAME BAR -->
                <table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
                    <tbody>
                        <tr>
                            <th scope="row" style="float: left; font-size: 0; height: 0;">Main Content</th>
                            <td id="content-main">
                            	<table width="100%" summary="This table is used for layout purposes">
                                  <!-- START: PAGE TITLE AREA -->
                                  <!-- END: PAGE TITLE AREA -->
    	                          <tr>
                                      <th scope="row" style="float: left; font-size: 0; height: 0;">Page Content</th>
	    		                      <td>
                			            <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <th scope="row" style="float: left; font-size: 0; height: 0;">Export Buttons</th>
                                                    <td>
                                                        <table class="ver-minimalist">
                                                            <tbody>
                                                                <tr>
                                                                    <th scope="row" style="border-bottom: none; float: right; font-size: 0; height: 0;">Button Row</th>
                                                                    <td style="float: left;">
                                                                        <form>
                                                                            <input name="exportToExcel" alt="Export to Excel" class="button" 
                                                                                   type="submit" value="Export to Excel" 
                                                                                   onclick="exportAlert();"/>
                                                                            <input name="exportToCsv" alt="Export to CSV" class="button"
                                                                                   type="submit" value="Export to CSV"
                                                                                   onclick="exportAlert();"/> 
                                                                        </form>
                                                                    </td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                    <td></td>
                                                                </tr>
                                                                <tr class="dateFilters">    
                                                                    <th scope="row" style="border-bottom: none; float: left; font-size: 0; height: 0;">Filters</th>
                                                                    <td style="float: left;">Patient ID (ICN)</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryICN}">
                                                                                <c:out value="${inboundDocumentQueryICN}"/>
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                ALL
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td class="datePadding">Start Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryStartDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryStartDate}"/>
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                    <td class="datePadding">End Date</td>
                                                                    <td>
                                                                        <c:choose>
                                                                            <c:when test="${!empty inboundDocumentQueryEndDate}">
                                                                                <fmt:formatDate pattern="MM/dd/yyyy" value="${inboundDocumentQueryEndDate}"/>
                                                                            </c:when>
                                                                            <c:otherwise>
                                                                                N/A
                                                                            </c:otherwise>
                                                                        </c:choose>
                                                                    </td>
                                                                </tr>
                                                            </tbody>
                                                        </table>
                                                        <c:choose>
                                                            <c:when test="${!empty inboundDocumentResults}">
                                                            	<br/>
                                                                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
                                                               <table width="100%">
                                                                    <thead>
                                                                        <tr class="hor-minimalist-c">
                                                                            <th scope="col"><span id="ssnHeader" data-tooltip="<c:out value="${descriptors['ssnColumn']}" />">SSN</span></th>
                                                                            <th scope="col"><span id="lastNameHeader" data-tooltip="<c:out value="${descriptors['lastNameColumn']}"/>">Patient Last Name</span></th>
                                                                            <th scope="col"><span id="firstNameHeader" data-tooltip="<c:out value="${descriptors['firstNameColumn']}"/>">Patient First Name</span></th>
                                                                            <th scope="col"><span id="dateReceivedHeader" data-tooltip="<c:out value="${descriptors['eventOccurredColumn']}"/>">Date Received (CT)</span></th>
                                                                            <th scope="col"><span id="documentTitleHeader" data-tooltip="<c:out value="${descriptors['documentTitleColumn']}"/>">Document Title</span></th>
                                                                            <th scope="col"><span id="facilityHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsReportFacilityWithDefaultField']}"/>">Patient Preferred Facility</span></th>
                                                                            <th scope="col"><span id="facilityNumberHeader" data-tooltip="<c:out value="${descriptors['patientPreferredFacilityStationIdColumn']}"/>">Patient Preferred Facility Station ID</span></th>
                                                                            <th scope="col"><span id="organizationHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsReportOrganizationColumn']}"/>"><c:out value="${organizationName}"/> Organization</span></th>
                                                                            <!--<th scope="col">Assigning Authority</th>-->
                                                                            <th scope="col"><span id="userIdHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsReportUserIdColumn']}"/>">User ID</span></th>
                                                                            <th scope="col"><span id="pouHeader" data-tooltip="<c:out value="${descriptors['purposeOfUseColumn']}"/>">Purpose of Use</span></th>
                                                                            <th scope="col"><span id="userRoleHeader" data-tooltip="<c:out value="${descriptors['receivedEHealthExchangeDocumentsReportUserRoleColumn']}"/>">User Role</span></th>
                                                                            <th scope="col"><span id="viewHeader" data-tooltip="<c:out value="${descriptors['genericViewColumn']}"/>">View</span></th>
                                                                        </tr>
                                                                        <tr class="hor-minimalist-c"  width="1500px">
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientSSN&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientLastName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientGivenName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=auditTime&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=documentTitle&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityNumber&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=patientFacilityNumber&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                                <td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationName&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<!--<td scope="col"><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationId&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=remoteOrganizationId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>-->
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=userId&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=ASC"><br><img alt="sort this column in ascending order" src="res/sort-ascending.jpg" border="0"/></a><a> - </a><a href="InboundDocumentReportResults.do_sec?inboundSortValue=purposeForUse&inboundSortDirection=DESC"><img alt="sort this column in descending order" src="res/sort-descending.jpg" border="0"/></a></td>
                                                                        	<td><a> </a></td>
                                                                                <td><a> </a></td>	
                                                                        </tr>
                                                                    </thead>    
                                                                    <tbody>
                                                                        <c:set var="countDisplayPatient" value="0" scope="page" />
                                                                        <pg:forEach var="r" items="${inboundDocumentResults}" varStatus="i" paginator="${paginator}">
                                                                            <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&&  r.ssnMasked != ''}">
                                                                                <tr class="hor-minimalist-b">
                                                                                    <td nowrap><cpp:patientLink ssn="${r.ssn}" firstName="${r.firstName}" lastName="${r.lastName}" ssnMasked="${r.ssnMasked}" /></td>
                                                                                    <td><c:out value="${r.lastName}"/></td>
                                                                                    <td><c:out value="${r.firstName}"/></td>
                                                                                    <td>
                                                                                        <fmt:formatDate pattern="MM/dd/yyyy hh:mm a" value="${r.auditTime}"/>
                                                                                    </td>
                                                                                    <c:choose>
                                                                                        <c:when test="${!empty r.documentTitle}">
                                                                                            <td><c:out value="${r.documentTitle}"/></td>
                                                                                        </c:when>
                                                                                        <c:otherwise>
                                                                                            <td>Title not available</td>
                                                                                        </c:otherwise>
                                                                                    </c:choose>
                                                                                    <td><c:out value="${r.patientFacilityName}"/></td>
                                                                                    <td><c:out value="${r.patientFacilityNumber}"/></td>
                                                                                    <td><c:out value="${r.remoteOrganizationName}"/></td>
                                                                                    <!--<td><c:out value="${r.remoteOrganizationId}"/></td>-->
                                                                                    <td><c:out value="${r.userId}"/></td>
                                                                                    <td><c:out value="${r.purposeForUse}"/></td>
                                                                                    <td><c:out value="${r.roleName}"/></td>
                                                                                    <c:url var="url" value="InboundDocumentReportResults.do_sec">
                                                                                        <c:param name="view" value="true" />
                                                                                        <c:param name="icn" value="${r.patientICN}"/>
                                                                                        <c:param name="documentUniqueId" value="${r.documentId}"/>
                                                                                    </c:url>
                                                                                    <td><a alt="View" href=<c:out value="${url}"/>>View</a></td>
                                                                                </tr>
                                                                                <c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                                                                            </c:if>
                                                                        </pg:forEach>
                                                                        <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                                                                            All records were excluded from this page.
                                                                        </c:if>
                                                                    </tbody>
                                                                </table>
                                                                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
                                                            </c:when>
                                                            <c:otherwise>
                                                                No records were found.
                                                            </c:otherwise>
                                                        </c:choose>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <!-- THE BODY CONTENT END -->
                                       </td>
                                 	</tr>
								</table>
                            </td>
>>>>>>> vape_incr_2
                        </tr>
                    </thead>
                    <tbody>
                        <c:set var="countDisplayPatient" value="0" scope="page" />
                        <pg:forEach var="r" items="${inboundDocumentResults}" varStatus="i" paginator="${paginator}">
                            <c:if test="${(i.count <= paginator.recordsPerPage || paginator.recordsPerPage < 0)&&  r.ssnMasked != ''}">
                                <tr class="hor-minimalist-b">
                                    <td nowrap><%@include file="patientLink.jspf"%></td>
                                    <td>${r.lastName}</td>
                                    <td>${r.firstName}</td>
                                    <td>
                                        <fmt:formatDate pattern="MM/dd/yyyy hh:mm a" value="${r.auditTime}" />
                                    </td>
                                    <c:choose>
                                        <c:when test="${!empty r.documentTitle}">
                                            <td>${r.documentTitle}</td>
                                        </c:when>
                                        <c:otherwise>
                                            <td>Title not available</td>
                                        </c:otherwise>
                                    </c:choose>
                                    <td>${r.patientFacilityName}</td>
                                    <td>${r.patientFacilityNumber}</td>
                                    <td>${r.remoteOrganizationName}</td>
                                    <td>${r.userId}</td>
                                    <td>${r.purposeForUse}</td>
                                    <td>${r.roleName}</td>
                                    <c:url var="url" value="InboundDocumentReportResults.do_sec">
                                        <c:param name="view" value="true" />
                                        <c:param name="icn" value="${r.patientICN}" />
                                        <c:param name="documentUniqueId" value="${r.documentId}" />
                                    </c:url>
                                    <td><a title="View" href="${url}">View</a></td>
                                </tr>
                                <c:set var="countDisplayPatient" value="${countDisplayPatient + 1}" scope="page"/>
                            </c:if>
                        </pg:forEach>
                        <c:if test="${paginator.recordsPerPage == totalTestPatients && countDisplayPatient == 0}">
                            All records were excluded from this page.
                        </c:if>
                    </tbody>
                </table>
<<<<<<< HEAD
                <pg:paginator paginator="${paginator}" uri="InboundDocumentReportResults.do_sec" results="${inboundDocumentResults}" />
            </c:when>
            <c:otherwise>
                No records were found.
            </c:otherwise>
        </c:choose>
    </div>
</f:mainTemplate>
=======
                <!-- START: PAGE FOOTER -->
                <%@include file="footer.jsp" %>
                <!-- END: PAGE FOOTER -->
                <!-- END: PAGE CONTENT -->
            </td>
        </tr>
    </tbody>
</table>
</body>
</html>
>>>>>>> vape_incr_2
--%>