<%--
    Document   : View Document - When the user clicks on the View link from the GUI in reports
    Author     : Asha Amritraj
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@taglib tagdir="/WEB-INF/tags/cpp" prefix="cpp"%>

<%
    String userName = request.getRemoteUser();
%>  

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html lang="en">
    <head>
        <title>Veterans Authorization & Preferences Document Viewer</title>
        <link rel="stylesheet" type="text/css" href="css/xmlverbatim.css" />
        <link rel="stylesheet" type="text/css" href="css/cda.css" />
        <link rel="stylesheet" type="text/css" href="css/adapter.css" />
        <link rel="stylesheet" type="text/css" href="css/custom_cda.css" />
        <%@include file="metaCommon.jsp"%>
    </head>
    <body>
        <jsp:include page="header.jsp">
            <jsp:param name="userName" value="<%=userName%>" />
        </jsp:include>
        <table border="0" cellpadding="0" cellspacing="0" width="100%"
               summary="table is used for layout purposes" id="main-content-table">
            <tbody>
                <tr>
                    <jsp:include page="leftMenu.jsp">
                        <jsp:param name="userName" value="<%=userName%>" />
                    </jsp:include>
                    <td id="content-va"><a name="content-area"></a> <!-- START: SITE NAME BAR -->
                        <p class="title-bar">
                            <!-- START: SITE NAME -->
                            Document View
                            <!-- END: SITE NAME -->
                        </p> <cpp:errors /> <!-- END: SITE NAME BAR -->
                        <table border="0" cellpadding="0" cellspacing="0" width="100%"
                               summary="table is used for layout purposes">
                            <tbody>
                                <tr>
                                    <td id="content-main">
                                        <!-- START: PAGE TITLE AREA --> <!-- END: PAGE TITLE AREA --> <!-- START: PAGE CONTENT -->
                                        <table SUMMARY="This table is for formatting purposes only.">
                                            <tbody>
                                                <tr>
                                                    <td id="content-page-content-title" width="100%"><font
                                                            class="content-page-title-font"></font>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td><div align="right">
                                                            <a alt="Back to report results" onClick="history.go(-1)">Back to Report Results</a>
                                                        </div>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <cpp:userInRole role="VAPApplicationTester">
                                                                        <c:if test="${isXmlViewEnabled}">
                                                                            <c:url var="adapterStyleSheet"
                                                                                   value="OptInOptOutReportResults.do_sec">
                                                                                <c:param name="view" value="true" />
                                                                                <c:param name="icn" value="${icn}" />
                                                                                <c:param name="documentUniqueId"
                                                                                         value="${documentUniqueId}" />
                                                                            </c:url>
                                                                            <c:url var="xmlToHtmlStyleSheet" value="OptInOptOutReportResults.do_sec">
                                                                                <c:param name="view" value="true" />
                                                                                <c:param name="icn" value="${icn}" />
                                                                                <c:param name="documentUniqueId"
                                                                                         value="${documentUniqueId}" />
                                                                                <c:param name="styleSheetViewType" value="xml" />
                                                                            </c:url>
                                                                            <%-- These anchor tags are causing Fortify errors and probably don't belong here anyway. --%>
                                                                            <%--<a alt="View Document"
                                                                               href="${adapterStyleSheet}"><img
                                                                            src="res/xsl.jpg" border="0" alt="View Document"/>
                                                                        <a alt="View XML"
                                                                           href="${xmlToHtmlStyleSheet}"><img
                                                                                alt="View XML" src="res/xmlicon.gif" border="0" /> --%>
                                                                        </c:if>
                                                                    </cpp:userInRole>
                                                                    <a alt="Print Document"
                                                                       href="javascript:window.print()"><img
                                                                            alt="Print Document" src="res/document-print.png" border="0" /></a>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td><c:out value="${updatedDocument}"/></td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table> <!-- THE BODY CONTENT END --></td>
                                </tr>
                            </tbody>
                        </table> <!-- START: PAGE FOOTER --> <%@include file="footer.jsp"%>
                        <!-- END: PAGE FOOTER --> <!-- END: PAGE CONTENT --></td>
                </tr>
            </tbody>
        </table>
    </body>
</html>